Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Id_Uniqueness_Strategy Class Reference

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Id_Uniqueness_Strategy:

[legend]
Collaboration diagram for TAO_Id_Uniqueness_Strategy:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Id_Uniqueness_Strategy (void)
virtual int | is_servant_in_map (PortableServer::Servant servant, int &deactivated)=0
virtual int | unbind_using_user_id (const PortableServer::ObjectId &user_id)=0
virtual int | find_user_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out user_id)=0
virtual int | find_system_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out system_id, CORBA::Short &priority)=0
virtual int | bind_using_user_id (PortableServer::Servant servant, const PortableServer::ObjectId &user_id, CORBA::Short priority, TAO_Active_Object_Map::Map_Entry *&entry)=0
virtual CORBA::Boolean | remaining_activations (PortableServer::Servant servant)=0
void | set_active_object_map (TAO_Active_Object_Map *active_object_map)
## Protected Attributes
TAO_Active_Object_Map * | active_object_map_

## Constructor & Destructor Documentation

TAO_Id_Uniqueness_Strategy::~TAO_Id_Uniqueness_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_Id_Uniqueness_Strategy::bind_using_user_id | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id,
|  | CORBA::Short | priority,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[pure virtual]`

| Reimplemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual int TAO_Id_Uniqueness_Strategy::find_system_id_using_servant | ( | PortableServer::Servant | servant,
|  | PortableServer::ObjectId_out | system_id,
|  | CORBA::Short & | priority
| ) | `[pure virtual]`

| Reimplemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual int TAO_Id_Uniqueness_Strategy::find_user_id_using_servant | ( | PortableServer::Servant | servant,
|  | PortableServer::ObjectId_out | user_id
| ) | `[pure virtual]`

| Reimplemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual int TAO_Id_Uniqueness_Strategy::is_servant_in_map | ( | PortableServer::Servant | servant,
|  | int & | deactivated
| ) | `[pure virtual]`

| Reimplemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

virtual CORBA::Boolean TAO_Id_Uniqueness_Strategy::remaining_activations | ( | PortableServer::Servant | servant | ) | `[pure virtual]`

| Reimplemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

void TAO_Id_Uniqueness_Strategy::set_active_object_map | ( | TAO_Active_Object_Map * | active_object_map | ) |

virtual int TAO_Id_Uniqueness_Strategy::unbind_using_user_id | ( | const PortableServer::ObjectId & | user_id | ) | `[pure virtual]`

| Reimplemented in TAO_Unique_Id_Strategy, and TAO_Multiple_Id_Strategy.

## Member Data Documentation

TAO_Active_Object_Map* TAO_Id_Uniqueness_Strategy::active_object_map_`[protected]`

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp